module CFillupHeadPermission
    use OperationScenariosModule
    implicit none
    
    contains
    
    subroutine Evaluate_FillupHeadPermission()
        ! use UnitySignalsModule !for CTdsConnectionModesEnum
        implicit none
        
        if (data%Configuration%Hoisting%DriveType == TopDrive_DriveType) then
#ifdef OST
            print*, 'Evaluate_FillupHeadPermission=TopDrive'
#endif


            !TOPDRIVE-CODE=66
            if (Get_NearFloorConnection() >= 3 .and. Get_NearFloorConnection() <= 10 .and.&
                Get_TdsElevatorModes() == TDS_ELEVATOR_CONNECTION_NOTHING .and.&
                Get_TdsConnectionModes() == TDS_CONNECTION_NOTHING) then
            
                call Set_FillupHeadPermission(.true.)
                return
            end if


            call Set_FillupHeadPermission(.false.)


        endif
        
        
        
        
        
        
        
        
        
!        if (DriveType == Kelly_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_FillupHeadPermission=Kelly'
!#endif
!        endif
        
        
        
    end subroutine
    
    subroutine Subscribe_FillupHeadPermission()
        implicit none
    end subroutine
    
end module CFillupHeadPermission